Package de.gebit.integrity.ui.outline

## Class OutlineFormatting

- java.lang.Object
- - de.gebit.integrity.ui.outline.OutlineFormatting

-     public class OutlineFormatting
      extends Object

  Constains all outline relevant formatting configuration, styles etc.
  Author:
    tilois - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.eclipse.swt.graphics.RGB` | `GRAY` | Gray color.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutlineFormatting()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `constantDefinitionTextStyle()` | Style for constants.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `defaultTextStyle()` | Default text style.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `explanationTextStyle()` | Style for explanations.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `importTextStyle()` | Style for imports.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `suiteParameterTextStyle()` | Style for parameters.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `suiteTextStyle()` | Style for suites.
    `org.eclipse.xtext.ui.editor.utils.TextStyle` | `variableDefinitionTextStyle()` | Style for variables.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRAY

          public static final org.eclipse.swt.graphics.RGB GRAY

      Gray color.

  - ### Constructor Detail

    - #### OutlineFormatting

          public OutlineFormatting()

  - ### Method Detail

    - #### suiteParameterTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle suiteParameterTextStyle()

      Style for parameters.
      Returns:
        Style for parameters.

    - #### suiteTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle suiteTextStyle()

      Style for suites.
      Returns:
        Style for suites.

    - #### variableDefinitionTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle variableDefinitionTextStyle()

      Style for variables.
      Returns:
        Style for variables.

    - #### constantDefinitionTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle constantDefinitionTextStyle()

      Style for constants.
      Returns:
        Style for constants.

    - #### importTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle importTextStyle()

      Style for imports.
      Returns:
        Style for imports.

    - #### explanationTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle explanationTextStyle()

      Style for explanations.
      Returns:
        Style for explanations.

    - #### defaultTextStyle

          public org.eclipse.xtext.ui.editor.utils.TextStyle defaultTextStyle()

      Default text style.
      Returns:
        Default text style.